# Screen Transition Capture

Screen Transition Capture is a Zipy feature for capturing screen transitions within your flutter app.&#x20;

Here's how you can do it:

1. **Import the Observer in you material app:**

```dart
MaterialApp(
        navigatorObservers: [ZipyNavigationObserver()], //need to add this for capturing screen transitions
        home: const HomeScreen(),
        routes: {
          '/profile': (context) => const ProfileScreen(),
        },
      ),
```

### Dynamic Screen Tagging

With dynamic screen tagging, you can enhance your analytics by assigning each screen a contextual name that reflects its real-time content.

```dart
import 'package:zipy_flutter/zipy_flutter.dart';

Zipy.tagScreenName(screenName: 'YOUR_SCREEN_NAME');
```

> NOTE: If both the navigation observer and dynamic screen tagging are implemented, duplicate screen names may be captured — one by the observer and another by the `tagScreenName` method.\
> Use only one approach, or if you use both, apply dynamic screen tagging only to screens that are **not** part of the main app’s routes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zipy.ai/zipy-for-mobile/flutter-setup/screen-transition-capture.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
